% tema 3, preg 1 
% buscar un x \in [0, \pi/2] en el que las derivadas de x^2 y atan(x)
% coinciden
xb = fzero(@(x)(2*x - 1/(x^2+1)),0);

x = linspace(0,pi/2);
plot(x,x.^2)
hold on
plot(x,atan(x),'r')
r1 = (2*xb)*(x-xb)+xb^2;
r2 = 1/(xb^2+1)*(x-xb)+atan(xb);
plot(x,r1,'.-')
plot(x,r2,'r.-')

